io.swagger.client

## Class JSON.DateTimeTypeAdapter

- java.lang.Object
- - com.google.gson.TypeAdapter<org.joda.time.DateTime>
  - - io.swagger.client.JSON.DateTimeTypeAdapter

- Enclosing class:
    JSON

      public static class JSON.DateTimeTypeAdapter
      extends com.google.gson.TypeAdapter<org.joda.time.DateTime>

  Gson TypeAdapter for Joda DateTime type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateTimeTypeAdapter()`
    `DateTimeTypeAdapter(org.joda.time.format.DateTimeFormatter formatter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `read(com.google.gson.stream.JsonReader in)`
    `void` | `setFormat(org.joda.time.format.DateTimeFormatter dateFormat)`
    `void` | `write(com.google.gson.stream.JsonWriter out, org.joda.time.DateTime date)`

    - ### Methods inherited from class com.google.gson.TypeAdapter

      `fromJson, fromJson, fromJsonTree, nullSafe, toJson, toJson, toJsonTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateTimeTypeAdapter

          public DateTimeTypeAdapter()

    - #### DateTimeTypeAdapter

          public DateTimeTypeAdapter(org.joda.time.format.DateTimeFormatter formatter)

  - ### Method Detail

    - #### setFormat

          public void setFormat(org.joda.time.format.DateTimeFormatter dateFormat)

    - #### write

          public void write(com.google.gson.stream.JsonWriter out,
                            org.joda.time.DateTime date)
                     throws IOException

      Specified by:
        `write` in class `com.google.gson.TypeAdapter<org.joda.time.DateTime>`
      Throws:
        `IOException`

    - #### read

          public org.joda.time.DateTime read(com.google.gson.stream.JsonReader in)
                                      throws IOException

      Specified by:
        `read` in class `com.google.gson.TypeAdapter<org.joda.time.DateTime>`
      Throws:
        `IOException`

Copyright © 2018. All rights reserved.